Subject: bug#9483: issue with coreutils-6.9

From: Anand Anand <[email-masked]>
Date: Tue, 13 Sep 2011 15:31:19 +0530

Hello Bob,

Thanks for the prompt reply.Due to certain constraints I am to fix this bug
within this version itself.I know thats kind of lame but thats the way its
reqd to be.I can give you more inputs on the bug right now.

While running rm tests as part of testsuites we have tgo run the command "rm
-ir z" wherein user input is expected.The userinput irrespective of what is
fed is always taken negative and always returned as
"user_permission_denied".I triede putting in more logs and I could see in
the function "yesno" in file yesno.c even though response pointed to "y" the
rpmatch function was exiting with 0 return value

As for that matter any response value always came with 0 as return value
from rpmatch function.

I have to use "ENABLE_NLS" in this case.Let em know in case of any more
inputs required

Thanks and Regards,
Anand

On Tue, Sep 13, 2011 at 5:03 AM, Bob Proulx <[email-masked]> wrote:

> tag 9483 + moreinfo
> thanks
>
> Anand Anand wrote:
> > I was running a testsuite on coreutils-6.9 wherein I have issues with
> yesno
> > API in the library.EVen if the stdin input is y in case of rm tests the
> > processed output is always taken as "n" and thus all the tests fail which
> > are interactive in nature.
>
> Thank you for helping with GNU Coreutils.  However version 6.9 was
> released 2007-03-22 over four years ago.  The current version of
> coreutils is 8.13.  Since 6.9 there have been a lot of changes and
> improvements.  Looking at the version control there are 2747 separate
> changes committed between version 6.9 and the current version 8.13.
> It is possible and dare I say likely that your the problem you are
> reporting has already been fixed in the intervening years.
>
> Could you try building the current version 8.13 and seeing if your
> problem still exists?  Here is the latest release announcement with
> information about obtaining the latest version.  Either way please
> reply to this bug ticket so that we can track the progress.
>
>  https://lists.gnu.org/archive/html/coreutils/2011-09/msg00130.html
>
> Thanks!
> Bob
>